name='obs-vkcapture'
version='1.3.2'
release='1'
desc='OBS plugin for Vulkan/OpenGL game capture on Linux.'
homepage='https://github.com/nowrep/obs-vkcapture'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-2.0 license')
provides=('obs-vkcapture' 'lib32-obs-vkcapture')
conflicts=('obs-vkcapture' 'lib32-obs-vkcapture')
deps=('vulkan-icd-loader' 'libgl' 'obs-studio>=27')
build_deps=('git' 'gcc' 'cmake' 'vulkan-headers' 'libgcc1(x86-32)' 'libvulkan1(x86-32)' 'libGL1(x86-32)')
deps_arch=('vulkan-icd-loader' 'libgl' 'obs-studio>=27')
build_deps_arch=('git' 'gcc' 'cmake' 'vulkan-headers' 'lib32-gcc-libs' 'lib32-vulkan-icd-loader' 'lib32-libgl')

sources=("https://github.com/nowrep/obs-vkcapture/releases/tag/v{$version}")
checksums=('SKIP')

prepare() {
	cd "${srcdir}/obs-vkcapture"
	mkdir buil && cd build
}

build() {
	cmake -DCMAKE_INSTALL_PREFIX=/usr ..
	make && make install
	}
package() {
#	install -Dm755 ./${name}v${version}/ "${pkgdir}/usr/bin/"
#	install -Dm644 "${srcdir}/" "${pkgdir}/usr/lib/"
}
